<?php

namespace app\themes\gestalt\controllers;

use kernel\app_modules\event\models\Event;
use kernel\Controller;
use kernel\EloquentDataProvider;
use kernel\helpers\Debug;
use kernel\helpers\Url;
use kernel\Request;

class EventController extends Controller
{
    protected function init(): void
    {
        parent::init();
        $this->cgView->viewPath = APP_DIR . "/themes/gestalt/views/event/";
        $this->cgView->layout = "main.php";
        $this->cgView->layoutPath = APP_DIR . "/themes/gestalt/views/layout/";
        $this->cgView->addVarToLayout("resources", "/resources/themes/gestalt");
    }

    public function actionIndex(): void
    {
        $request = new Request();
        $dataProvider = (new EloquentDataProvider(Event::query()));
        $dataProvider->setSort([
            'id' => 'desc'
        ]);

        $page = $request->get('page', 1); // или request('page', 1) для HTTP-запросов
        $events = $dataProvider->getManualPaginated($page, 2);

        $pagination = $dataProvider->getPaginationLinks($events['meta']);
//        Debug::dd($pagination);
        $this->cgView->render("index.php", ['events' => $events, 'pagination' => $pagination]);
    }

    public function actionView(int $id): void
    {
        $event = Event::with('contacts')->where('id', $id)->first();

        $this->cgView->render("view.php", ['event' => $event]);
    }

}