<?php

namespace app\themes\gestalt\controllers;

use kernel\app_modules\gestalt_profile\models\Gestalt_profile;
use kernel\Controller;
use kernel\EloquentDataProvider;
use kernel\helpers\Debug;
use kernel\Request;

class PsychologistController extends Controller
{

    protected function init(): void
    {
        parent::init();
        $this->cgView->viewPath = APP_DIR . "/themes/gestalt/views/psychologist/";
        $this->cgView->layout = "main.php";
        $this->cgView->layoutPath = APP_DIR . "/themes/gestalt/views/layout/";
        $this->cgView->addVarToLayout("resources", "/resources/themes/gestalt");
    }

    public function actionIndex(): void
    {
        $request = new Request();
        $dataProvider = (new EloquentDataProvider(Gestalt_profile::query()));
        $dataProvider->setSort([
            'id' => 'desc'
        ]);

        $page = $request->get('page', 1); // или request('page', 1) для HTTP-запросов
        $psychologists = $dataProvider->getManualPaginated($page, 8);

        $pagination = $dataProvider->getPaginationLinks($psychologists['meta']);

        $this->cgView->render("index.php", ['psychologists' => $psychologists, 'pagination' => $pagination]);
    }

    public function actionView(int $id): void
    {
        $profile = Gestalt_profile::where('id', $id)->first();

        $this->cgView->render("view.php", ['profile' => $profile]);
    }

}