<?php
/**
 * @var string $resources ;
 * @var array $pagination ;
 * @var \kernel\CgView $view
 * @var array $events
 */

$view->setTitle("IT Guild Micro Framework");
$view->setMeta([
    'description' => 'Default IT Guild Micro Framework theme'
]);

$relation = new \kernel\EntityRelation();
?>

<main>
    <nav class="max-w-[1083px] px-[25px] mx-auto">
        <ol class="flex flex-wrap text-middleGrey font-[350] my-[50px]">
            <li><a href="/">главная</a></li>
            <li><a href="/events"><span class="mx-[2px]">/</span>мероприятия сообщества</a></li>
        </ol>
    </nav>
    <div class="flex flex-col gap-[31px] items-center mb-[50px] px-[25px]"><h1
                class="text-[35px] text-center md:text-[40px] uppercase">Мероприятия сообщества</h1>
        <p class="text-[17px] md:text-[19px] max-w-[832px] text-center">это добровольное самоорганизующееся сообщество
            специалистов г. Донецка и Донецкого края в области психологического консультирования и гештальт-терапии.</p>
    </div>
    <div class="flex flex-col max-w-[1083px] px-[25px] m-auto">
        <div class="flex flex-col gap-[30px] items-center md:flex-row md:gap-[84px] mb-[30px]">
            <div class="undefined px-[36px] py-[7px] bg-white max-w-[225px] min-w-[180px] min-h-[39px] justify-center items-center w-fit cursor-pointer border-blue border-[1px] flex gap-[10px] rounded-[10px]">
                <p class="text-blue font-[700] text-[16px]">Все мероприятия</p><img alt="chevronDown" loading="lazy"
                                                                                    width="11" height="8"
                                                                                    decoding="async" data-nimg="1"
                                                                                    style="color:transparent"
                                                                                    src="<?= $resources ?>/out/images/chevronDown.svg"/>
            </div>
            <label class="flex items-center text-[14px] text-lightGrey gap-[12px]"><input
                        class="w-[16px] h-[16px] border-white" type="checkbox"/>только мероприятия Донецкого
                сообщества</label></div>
        <div class="flex flex-wrap gap-x-[12px] gap-y-[30px] mb-[80px] justify-evenly lg:justify-between">
            <?php foreach ($events['data'] as $event): ?>
                <?php /* @var \kernel\app_modules\event\models\Event $event */ ?>
                <a class="border-[1px] border-white rounded-[6px] bg-darkGrey px-[13.5px] pt-[12px] pb-[35px] text-black"
                   href="/event/<?= $event->id ?>">
                <span class="flex w-[288px] h-[177px] bg-white">
                    <?= $relation->getAdditionalPropertyByEntityId('event', $event->id, 'photo', ['cover' => true]) ?>
                </span>
                    <h5 class="max-w-[267px] font-[500] text-[16px] leading-[18px] mt-[30px] mb-[8px] line-clamp-3 text-ellipsis">
                        <?= $event->title ?>
                    </h5>
                    <p class="max-w-[267px] text-[15px] leading-[17px] line-clamp-3 text-ellipsis">
                        <?= $event->description ?>
                    </p>
                </a>
            <?php endforeach; ?>
        </div>
        <div class="mb-[100px] flex justify-between flex-col gap-[50px] md:flex-row">
            <div class="flex">
                <button class="mr-[30px]" disabled="">
                    <a href="<?= $pagination['previous'] ?>">
                        <img alt="arrow" loading="lazy" width="11" height="11"
                             decoding="async" data-nimg="1"
                             class="rotate-[90deg] relative top-[-2px]"
                             style="color:transparent" src="<?= $resources ?>/out/images/chevronDown.svg"/>
                    </a>
                </button>
                <div class="flex gap-[12px] items-center">
                    <?php if ($pagination['previous']): ?>
                        <button class="text-[17px]">
                            <a href="<?= $pagination['previous'] ?>">
                                <?= $pagination['meta']['current_page'] - 1 ?>
                            </a>
                        </button>
                    <?php endif; ?>
                    <button class="text-blue font-[700] text-[17px]"><?= $pagination['meta']['current_page'] ?></button>
                    <?php if ($pagination['next']): ?>
                        <button class="text-[17px]">
                            <a href="<?= $pagination['next'] ?>">
                                <?= $pagination['meta']['current_page'] + 1 ?>
                            </a>
                        </button>
                    <?php endif; ?>
                    <?php if ($pagination['meta']['current_page'] <= $pagination['meta']['last_page']
                    && $pagination['meta']['current_page'] > 4): ?>
                        <span>...</span>
                        <button class="text-[17px]"><?= $pagination['meta']['last_page'] ?></button>
                    <?php endif; ?>
                </div>
                <button class=" flex items-center text-[15px] font-[700] ml-auto md:ml-[26px] gap-[11px]">
                    <a href="<?= $pagination['next'] ?>">
                        <img alt="arrow" loading="lazy" width="11" height="11" decoding="async" data-nimg="1"
                             class="rotate-[-90deg] relative top-[-2px]" style="color:transparent"
                             src="<?= $resources ?>/out/images/chevronDown.svg"/>
                    </a>
                </button>
            </div>
            <button class="flex items-center justify-center whitespace-nowrap rounded-[6px] font-[400] text-[16px] text-blue border-[1px] border-blue max-h-[39px] px-[25px] py-[10px] undefined">
                Показать все мероприятия
            </button>
        </div>
    </div>
    <div class="flex flex-col gap-[80px]">
        <div class="hidden lg:flex bg-blue rounded-[25px] relative max-w-[1033px] w-full m-auto pt-[59.5px] pb-[59.5px] h-[234px] text-center justify-center items-center">
            <p class="text-white text-[32px] max-w-[671px] font-[700]">Через собственное развитие мы развиваем и
                популяризируем гештальт-подход</p><img alt="palm" loading="lazy" width="217" height="254"
                                                       decoding="async" data-nimg="1"
                                                       class=" absolute right-0 top-[-20px]" style="color:transparent"
                                                       src="<?= $resources ?>/out/images/palm.svg"/></div>
        <div class="flex-col w-full max-w-[1083px] px-[25px] flex gap-[53px] items-end m-auto md:flex-row">
            <div class="flex justify-center md:justify-start md:max-w-[645px] flex-wrap gap-x-[15px] gap-y-[12px]">
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">конференции</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">акредитации</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">открытые сертификации</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">открытые сертификации</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">общие сборы</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">протоколы сборов</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">новости сайта</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">календарь событий</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">сайт мги</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">вопросы и ответы</span></div>
            </div>
            <div class="flex gap-[19px] m-auto">
                <div class="flex border-[4px] border-white rounded-[6px] items-center w-[160px] h-[120px] justify-center relative">
                    <img alt="arrow" loading="lazy" width="11" height="11" decoding="async" data-nimg="1"
                         class="absolute top-[-18px]" style="color:transparent"
                         src="<?= $resources ?>/out/images/chevronDown.svg"/><span
                            class="text-[26px] text-black uppercase">Книги</span></div>
                <div class="flex border-[4px] border-white rounded-[6px] items-center w-[160px] h-[120px] justify-center relative">
                    <img alt="arrow" loading="lazy" width="11" height="11" decoding="async" data-nimg="1"
                         class="absolute top-[-18px]" style="color:transparent"
                         src="<?= $resources ?>/out/images/chevronDown.svg"/><span
                            class="text-[26px] text-black uppercase">лекции</span></div>
            </div>
        </div>
    </div>
</main>
