<?php
/**
 * @var \kernel\app_modules\event\models\Event $event
 * @var string $resources ;
 */

$entityRelation = new \kernel\EntityRelation();
$profiles = $entityRelation->callModuleMethod('gestalt_profile_relationship', 'getItemsObject', ['entity' => 'event', 'entity_id' => $event->id]);
?>

<main>
    <nav class="max-w-[1083px] px-[25px] mx-auto">
        <ol class="flex flex-wrap text-middleGrey font-[350] my-[50px]">
            <li><a href="/">главная</a></li>
            <li><a href="/events"><span class="mx-[2px]">/</span>мероприятия сообщества</a></li>
            <li><a href="/event/<?= $event->id ?>"><span class="mx-[2px]">/</span><?= $event->title ?></a></li>
        </ol>
    </nav>
    <div class="bg-blue rounded-[6px] max-w-[1033px] mx-[25px] px-[30px] lg:mx-auto mb-[30px] py-[45px] lg:px-[100px]">
        <p class="text-white text-[40px] text-center uppercase leading-[48px]">
            <?= $event->title ?>
        </p>
    </div>
    <div class="flex flex-col m-auto max-w-[1083px] px-[25px] gap-[50px] mb-[80px]">
        <div class="flex gap-[10px] flex-wrap lg:gap-[23px] justify-between lg:justify-start">
            <div class="flex items-center justify-center font-[400] border-blue w-fit text-[16px] text-lightBlack border-[1px] rounded-[6px] py-[10px] px-[28px] gap-[10px] items-center">
                <span class="">
                    <?= $event->type ?>
                </span>
            </div>
            <div class="flex items-center justify-center font-[400] border-blue w-fit text-[16px] text-lightBlack border-[1px] rounded-[6px] py-[10px] px-[28px] gap-[10px] items-center">
                <img alt="clock" loading="lazy" width="18" height="18" decoding="async" data-nimg="1"
                     style="color:transparent" src="<?= $resources ?>/out/images/clock.svg"/>
                <span class="">
                    <?= $event->hours_count ?> ч.
                </span>
            </div>
            <div class="flex items-center justify-center font-[400] border-blue w-fit text-[16px] text-lightBlack border-[1px] rounded-[6px] py-[10px] px-[28px] gap-[10px] items-center">
                <img alt="date" loading="lazy" width="18" height="18" decoding="async" data-nimg="1"
                     style="color:transparent" src="<?= $resources ?>/out/images/date.svg"/>
                <span class="">
                    <?= $event->dateStartFormated . " - " . $event->dateEndFormated ?>
                </span>
            </div>
            <div class="flex items-center justify-center font-[400] border-blue w-fit text-[16px] text-lightBlack border-[1px] rounded-[6px] py-[10px] px-[28px] gap-[10px] items-center">
                <img alt="location" loading="lazy" width="18" height="18" decoding="async" data-nimg="1"
                     style="color:transparent" src="<?= $resources ?>/out/images/location.svg"/>
                <span class="">
                    <?= $event->place ?>
                </span>
            </div>
        </div>
        <div class="flex justify-center flex-wrap lg:flex-nowrap lg:justify-between gap-[18px]">
            <?php foreach ($profiles as $profile): ?>
                <a class=" backdrop-blur-custom border-[1px] border-white rounded-[15px] bg-darkWhite text-black w-fit shadow-custom px-[9px] pt-[11px] pb-[25px] max-w-[370px] w-full sm:max-w-[280px]"
                   href="/psychologist/<?= $profile->profile->id ?>">
                    <img alt="image" loading="lazy" width="260" height="181" decoding="async"
                                               data-nimg="1" class="w-full" style="color:transparent;width:100%;height:200px;object-fit:cover;"
                                               src="<?= $profile->profile->photo ?? '' ?>"/>
                    <div class="px-[13px]">
                        <h5 class="text-[18px] max-w-full sm:max-w-[190px] font-[400] leading-[20px] max-w-[190px] mt-[16px] mb-[20px]">
                            <?= $profile->profile->fio ?? '' ?>
                        </h5>
                        <span class="text-lightGrey">Работает с темами
                            <p class="text-black text-[13px] leading-[15px] line-clamp-3 text-ellipsis max-w-[220px] mb-[16px] max-w-full sm:max-w-[220px]"></p>
                        </span>
                        <div class="flex gap-[5px] max-w-[220px] flex-wrap items-center max-w-full sm:max-w-[220px]">
                            <div class="flex items-center justify-center font-[400] border-blue w-fit text-[13px] px-[9.5px] rounded-[6px] border-[0.5px] text-blue font-[400] min-h-[28px] max-h-[28px] h-full">
                                <span class="">Терапевт</span>
                            </div>
                            <div class="flex items-center justify-center font-[400] border-blue w-fit text-[13px] px-[9.5px] rounded-[6px] border-[0.5px] text-blue font-[400] min-h-[28px] max-h-[28px] h-full">
                                <span class="">Супервизор</span>
                            </div>
                            <div class="flex items-center justify-center font-[400] border-blue w-fit text-[13px] px-[9.5px] rounded-[6px] border-[0.5px] text-blue font-[400] min-h-[28px] max-h-[28px] h-full">
                                <span class="">Тренер</span>
                            </div>
                            <div class="bg-bgGrey rounded-[6px] w-[28px] h-[28px] flex justify-center items-center"><span
                                        class="text-white text-[13px] font-[400] max-h-[15px] flex items-center relative top-[1px]"><span
                                            class="relative top-[-0.5px]">+</span>3</span>
                            </div>
                        </div>
                    </div>
                </a>
            <?php endforeach; ?>
        </div>
        <div class="flex-wrap xl:flex-nowrap flex gap-[21px]">
            <div class="order-2 xl:order-1 items-center xl:items-start flex py-[30px] flex-col border-white border-[1px] rounded-[6px] w-full xl:min-w-[780px] min-h-[200px] px-[32px] justify-center gap-[12px]">
                <h4 class="text-black text-[26px] text-center md:text-start uppercase">
                    формат мероприятия
                </h4>
                <p class="text-black text-[15px] max-w-[640px]">
                    <?= !empty($event->event_format) ? $event->event_format : "Не указан" ?>
                </p>
            </div>
            <div class="order-1 xl:order-2 justify-evenly flex xl:flex-col bg-white rounded-[12px] pt-[25px] pb-[10px] xl:pt-[47px] xl:pb-[34px] w-full xl:pl-[32px] gap-[23px] relative">
                <div class="flex-col flex text-[18px]">
                    <?php foreach ($event->contacts as $contact): ?>
                        <span><?= $contact->title ?></span>
                    <?php endforeach; ?>
                </div>
<!--                <div class="flex-col flex text-[15px]">-->
<!--                    <span>Luchayapochta@mail.ru</span>-->
<!--                    <span>Luchayapochta@mail.ru</span>-->
<!--                </div>-->
                <div class="absolute bg-white w-[47px] h-[47px] flex rounded-full items-center justify-center top-[-20px]">
                    <a class="flex justify-center items-center w-[41px] h-[41px] bg-blue rounded-full" href=""><img
                            alt="logo_tg" loading="lazy" width="1" height="1" decoding="async" data-nimg="1"
                            class="w-auto h-auto" style="color:transparent" src="<?= $resources ?>/out/images/logo_tg.svg"/> </a></div>
            </div>
        </div>
        <div class="flex flex-col gap-[30px] max-w-[910px] font-[300]">
            <h3 class="uppercase text-black text-[26px]">
                содержание
            </h3>
            <p class="text-[15px] leading-[24px]">
                <?= $event->description ?>
            </p>
        </div>
        <?php if (!empty($event->additional_info)): ?>
            <div class="flex flex-col gap-[30px] max-w-[910px] font-[300]">
                <h3 class="uppercase text-black text-[26px]">
                    Дополнительная информация
                </h3>
                <p class="text-[15px] leading-[24px] ">
                    <?= $event->additional_info ?>
                </p>
            </div>
        <?php endif; ?>
    </div>
    <div class="flex flex-col gap-[80px]">
        <div class="hidden lg:flex bg-blue rounded-[25px] relative max-w-[1033px] w-full m-auto pt-[59.5px] pb-[59.5px] h-[234px] text-center justify-center items-center">
            <p class="text-white text-[32px] max-w-[671px] font-[700]">Через собственное развитие мы развиваем и
                популяризируем гештальт-подход</p><img alt="palm" loading="lazy" width="217" height="254"
                                                       decoding="async" data-nimg="1"
                                                       class=" absolute right-0 top-[-20px]" style="color:transparent"
                                                       src="<?= $resources ?>/out/images/palm.svg"/></div>
        <div class="flex-col w-full max-w-[1083px] px-[25px] flex gap-[53px] items-end m-auto md:flex-row">
            <div class="flex justify-center md:justify-start md:max-w-[645px] flex-wrap gap-x-[15px] gap-y-[12px]">
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">конференции</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">акредитации</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">открытые сертификации</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">открытые сертификации</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">общие сборы</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">протоколы сборов</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">новости сайта</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">календарь событий</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">сайт мги</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">вопросы и ответы</span></div>
            </div>
            <div class="flex gap-[19px] m-auto">
                <div class="flex border-[4px] border-white rounded-[6px] items-center w-[160px] h-[120px] justify-center relative">
                    <img alt="arrow" loading="lazy" width="11" height="11" decoding="async" data-nimg="1"
                         class="absolute top-[-18px]" style="color:transparent" src="<?= $resources ?>/out/images/chevronDown.svg"/><span
                        class="text-[26px] text-black uppercase">Книги</span></div>
                <div class="flex border-[4px] border-white rounded-[6px] items-center w-[160px] h-[120px] justify-center relative">
                    <img alt="arrow" loading="lazy" width="11" height="11" decoding="async" data-nimg="1"
                         class="absolute top-[-18px]" style="color:transparent" src="<?= $resources ?>/out/images/chevronDown.svg"/><span
                        class="text-[26px] text-black uppercase">лекции</span></div>
            </div>
        </div>
    </div>
</main>
