<?php
/**
 * @var string $content
 * @var string $resources
 * @var string $title
 * @var \kernel\CgView $view
 */
$assets = new \app\themes\gestalt\assets\GestaltThemesAssets($resources);
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <?php $assets->getCSSAsSTR(); ?>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <title><?= $title ?></title>
    <?= $view->getMeta() ?>
    <link rel="icon" type="image/x-icon" href="<?= $resources ?>/assets/favicon.ico"/>
    <!-- Font Awesome icons (free version)-->
    <script src="https://use.fontawesome.com/releases/v6.3.0/js/all.js" crossorigin="anonymous"></script>
    <!-- Google fonts-->
    <link href="https://fonts.googleapis.com/css?family=Lora:400,700,400italic,700italic" rel="stylesheet"
          type="text/css"/>
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800"
          rel="stylesheet" type="text/css"/>
    <!-- Core theme CSS (includes Bootstrap)-->
</head>
<body>
<!-- Navigation-->
<header class="flex pt-8 px-[25px] m-auto justify-between items-center max-w-[1083px] relative">
    <div class="sm:hidden max-w-[95px] w-full"><img alt="burger" loading="lazy" width="23" height="17" decoding="async"
                                                    data-nimg="1" class="cursor-pointer sm:hidden"
                                                    style="color:transparent" src="<?= $resources ?>/out/images/burger.svg"/></div>
    <div class="hidden w-full justify-between mt-[10px] gap-[19px] text-[15px] text-dark font-[350] sm:flex sm:max-w-[145px] sm:mt-0 md:gap-[96px]">
        <a href="/events">События</a><a href="/participants">Участники</a></div>
    <a class=" " href="/"><img alt="logo" loading="lazy" width="150" height="48" decoding="async" data-nimg="1"
                               style="color:transparent" src="<?= $resources ?>/out/logo.svg"/></a>
    <div class="flex gap-[13px] sm:gap-[19px]"><a
                class="flex justify-center items-center w-[41px] h-[41px] bg-blue rounded-full" href=""><img alt="logo_tg"
                                                                                                             loading="lazy"
                                                                                                             width="1"
                                                                                                             height="1"
                                                                                                             decoding="async"
                                                                                                             data-nimg="1"
                                                                                                             class="w-auto h-auto"
                                                                                                             style="color:transparent"
                                                                                                             src="<?= $resources ?>/out/images/logo_tg.svg"/>
        </a><a class="flex justify-center items-center w-[41px] h-[41px] bg-blue rounded-full" href=""><img alt="logo_vk"
                                                                                                            loading="lazy"
                                                                                                            width="1"
                                                                                                            height="1"
                                                                                                            decoding="async"
                                                                                                            data-nimg="1"
                                                                                                            class="w-auto h-auto"
                                                                                                            style="color:transparent"
                                                                                                            src="<?= $resources ?>/out/images/logo_vk.svg"/>
        </a></div>
</header>

<?= $content ?>

<!-- Footer-->
<footer class="flex flex-col items-center mt-[20px] md:flex-row md:mt-[80px] max-w-[1083px] px-[25px] justify-between pb-8  m-auto">
    <a href="/public"><img alt="logo" loading="lazy" width="150" height="48" decoding="async" data-nimg="1"
                           style="color:transparent" src="<?= $resources ?>/out/logo.svg"/></a>
    <div class="max-w-[500px] mt-[40px] md:mt-0 w-full justify-between md:w-fit gap-[25px] lg:gap-[96px] flex text-[15px] text-dark items-center font-[350]">
        <div class="flex gap-[28px]"><a href="/events">События</a><a href="/participants">Участники</a></div>
        <div class="flex gap-[28px] md:hidden"><a
                    class="flex justify-center items-center w-[41px] h-[41px] bg-blue rounded-full" href=""><img
                        alt="logo_tg" loading="lazy" width="1" height="1" decoding="async" data-nimg="1" class="w-auto h-auto"
                        style="color:transparent" src="<?= $resources ?>/out/images/logo_tg.svg"/> </a><a
                    class="flex justify-center items-center w-[41px] h-[41px] bg-blue rounded-full" href=""><img
                        alt="logo_vk" loading="lazy" width="1" height="1" decoding="async" data-nimg="1" class="w-auto h-auto"
                        style="color:transparent" src="<?= $resources ?>/out/images/logo_vk.svg"/> </a></div>
    </div>
    <div class="max-w-[500px] w-full justify-between mt-[70px] md:mt-0 md:w-fit flex gap-[25px]"><img alt="oop"
                                                                                                      loading="lazy"
                                                                                                      width="83"
                                                                                                      height="21"
                                                                                                      decoding="async"
                                                                                                      data-nimg="1"
                                                                                                      style="color:transparent"
                                                                                                      src="<?= $resources ?>/out/images/oppgp.svg"/><img
                alt="pmg" loading="lazy" width="96" height="27" decoding="async" data-nimg="1" style="color:transparent"
                src="<?= $resources ?>/out/images/pmg.svg"/></div>
    <div class="max-w-[500px] w-full justify-center hidden md:w-fit md:flex gap-[29px]"><a
                class="flex justify-center items-center w-[41px] h-[41px] bg-blue rounded-full" href=""><img alt="logo_tg"
                                                                                                             loading="lazy"
                                                                                                             width="1"
                                                                                                             height="1"
                                                                                                             decoding="async"
                                                                                                             data-nimg="1"
                                                                                                             class="w-auto h-auto"
                                                                                                             style="color:transparent"
                                                                                                             src="<?= $resources ?>/out/images/logo_tg.svg"/>
        </a><a class="flex justify-center items-center w-[41px] h-[41px] bg-blue rounded-full" href=""><img alt="logo_vk"
                                                                                                            loading="lazy"
                                                                                                            width="1"
                                                                                                            height="1"
                                                                                                            decoding="async"
                                                                                                            data-nimg="1"
                                                                                                            class="w-auto h-auto"
                                                                                                            style="color:transparent"
                                                                                                            src="<?= $resources ?>/out/images/logo_vk.svg"/>
        </a></div>
</footer>
<!-- Bootstrap core JS-->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
<!-- Core theme JS-->
<?php $assets->getJSAsStr(); ?>
</body>
</html>
