<?php
/**
 * @var string $resources;
 * @var \kernel\CgView $view
 */

$view->setTitle("IT Guild Micro Framework");
$view->setMeta([
    'description' => 'Default IT Guild Micro Framework theme'
]);
$last4 = \kernel\app_modules\gestalt_profile\services\Gestalt_profileService::getLast4();
?>
<style>
    .circle-image {
        width: 100px;
        height: 100px;
        border-radius: 50%;
        object-fit: cover;
    }
</style>
<main class="pt-[60px] sm:pt-[100px] flex flex-col">
    <div class="flex flex-col container m-auto text-center text-dark gap-[31px]"><h1
                class="text-[35px] sm:text-[40px] uppercase">Донецкое гештальт сообщество</h1>
        <p class="text-[17px] text-dark sm:text-[19px] max-w-[832px] mx-auto">это добровольное самоорганизующееся
            сообщество специалистов г. Донецка и Донецкого края в области психологического консультирования и
            гештальт-терапии.</p></div>
    <div class="mt-[50px] w-full flex-col flex lg:flex-row justify-center sm:mt-[100px] gap-y-[30px] sm:gap-[14px] max-w-[1083px] px-[25px] mx-auto">
        <div class="relative bg-blue border-[1px] border-white rounded-[25px] px-[25px] pb-[10px] md:pb-[0] md:pr-[48px] md:pl-[0] md:min-w-[650px] min-h-[480px] w-full font-[400]">
            <img alt="intro" loading="lazy" width="1" height="1" decoding="async" data-nimg="1"
                 class="w-[262px] h-[262px] sm:w-auto sm:h-auto scale-x-flip right-0 md:left-0 md:scale-x-100 absolute"
                 style="color:transparent" src="<?= $resources ?>/out/images/intro.svg"/>
            <h3 class="text-white text-[38px] text-start mt-[214px] md:text-end leading-[41px]"><span
                        class="bg-darkBlue px-[12px] py-[3px] rounded-[18px]">Цель</span> нашего<br/>объединения:</h3>
            <p class="md:ml-auto text-[16px] mt-[50px] text-start text-white md:text-[18px] leading-[20px] max-w-[400px] font-[700]">
                взаимное обогащение профессиональными знаниями, идеями и опытом на конференциях и семинарах, в учебных
                программах и на интенсивах, на специализациях и в супервизорских группах.</p></div>
        <div class="flex-col md:flex-row min-w-full lg:min-w-min lg:flex-col flex gap-[12px] max-w-[368px]">
            <div class="flex px-[20px] items-center bg-blue rounded-[25px] min-h-[234px] lg:px-[68px] py-[60px] relative">
                <p class="text-white font-[500] leading-[23px] text-[20px]">Через собственное развитие мы развиваем и
                    популяризируем гештальт-подход</p><img alt="palm" loading="lazy" width="1" height="1"
                                                           decoding="async" data-nimg="1"
                                                           class="w-auto h-auto absolute right-3 bottom-0"
                                                           style="color:transparent" src="<?= $resources ?>/out/images/palm.svg"/></div>
            <div class="flex justify-center sm:justify-normal px-[20px] flex-col items-center rounded-[25px] min-h-[234px] lg:px-[68px] pt-[40px] border-[4px] border-white relative">
                <div class="w-full   lg:left-[-20px] flex relative justify-center md:justify-normal">
                    <img alt="avatar" loading="lazy" width="101" height="100" decoding="async" data-nimg="1" class="right-[-85px] md:right-0 relative circle-image" style="color:transparent" src="<?= $last4[0]['photo'] ?? $resources . '/out/images/avatar.png' ?>"/>
                    <img alt="avatar" loading="lazy" width="101" height="100" decoding="async" data-nimg="1" class="right-[-30px] md:right-[55px] z-2 relative circle-image" style="color:transparent" src="<?= $last4[1]['photo'] ?? $resources . '/out/images/avatar.png' ?>"/>
                    <img alt="avatar" loading="lazy" width="101" height="100" decoding="async" data-nimg="1" class="right-[30px] md:right-[105px] z-3 relative circle-image" style="color:transparent" src="<?= \kernel\helpers\Files::isImageByExtension($last4[2]['photo']) ? $last4[2]['photo'] : $resources . '/out/images/user_no_photo.png' ?>"/>
                    <img alt="avatar" loading="lazy" width="101" height="100" decoding="async" data-nimg="1" class="right-[85px] md:right-[155px] z-4 relative circle-image" style="color:transparent" src="<?= $last4[3]['photo'] ?? $resources . '/out/images/avatar.png' ?>"/>
                </div>
                <p class="text-blue font-[900] text-[26px]">+ <?= \kernel\app_modules\gestalt_profile\services\Gestalt_profileService::getCount() - 4 ?> учасников</p></div>
        </div>
    </div>
    <div class="mt-[50px] flex-col sm:flex-row flex gap-[64px] justify-center container mx-auto">
        <div class="flex-col flex gap-[35px] items-center"><img alt="oppgp" loading="lazy" width="140" height="37"
                                                                decoding="async" data-nimg="1" style="color:transparent"
                                                                src="<?= $resources ?>/out/images/oppgp.svg"/>
            <p class="text-grey max-w-[300px] text-[16px] leading-[17px] text-center font-[700]">Донецкое
                гештальт-сообщество является частью Всероссийского общества психологов практикующих гештальт-подход (ОПП
                ГП). </p></div>
        <div class="flex-col flex gap-[19px] items-center"><img alt="oppgp" loading="lazy" width="177" height="53"
                                                                decoding="async" data-nimg="1" style="color:transparent"
                                                                src="<?= $resources ?>/out/images/pmg.svg"/>
            <p class="text-grey max-w-[507px] text-[16px] leading-[17px] text-center font-[700]">В своей работе мы
                придерживаемся стандартов программы «Московский Гештальт Институт», а также стандартов Европейской
                Ассоциации Гештальт Терапии, Этического Кодекса Гештальт Терапевта и принципов гуманизма.</p></div>
    </div>
    <div class="flex flex-col mt-[100px]">
        <div class="flex flex-col gap-[10px] md:flex-row items-center lg: max-w-[1083px] px-[25px] mx-auto justify-between w-full mb-[50px]">
            <div class="order-2 md:order-1  max-w-[225px] min-w-[180px] min-h-[39px] justify-center items-center w-fit cursor-pointer border-blue border-[1px] flex gap-[10px] rounded-[10px]">
                <p class="text-blue font-[700] text-[16px]">Конференции</p><img alt="chevronDown" loading="lazy"
                                                                                width="11" height="8" decoding="async"
                                                                                data-nimg="1" style="color:transparent"
                                                                                src="<?= $resources ?>/out/images/chevronDown.svg"/></div>
            <h3 class="mb-[50px] md:mb-0 order-1 md:order-2 text-blac text-center text-[26px] uppercase">Мероприятия
                сообщества</h3>
            <button class="flex items-center justify-center whitespace-nowrap rounded-[6px] font-[400] bg-blue text-[16px] text-white max-h-[39px] px-[25px] py-[10px] hidden md:flex order-3">
                <a href="/events">Все мероприятия</a>
            </button>
        </div>
        <?php \app\themes\gestalt\widgets\MainEventsList::create()->run(); ?>
    </div>
    <button class="flex items-center justify-center whitespace-nowrap rounded-[6px] font-[400] bg-blue text-[16px] text-white max-h-[39px] px-[25px] py-[10px] min-w-[315px] mt-[50px] m-auto md:hidden">
        <a href="/events">Все мероприятия</a>
    </button>
    <div class="flex flex-col mt-[90px] mb-[80px] gap-[56px]">
        <div class="flex flex-col md:flex-row items-center px-[25px] max-w-[1083px] mx-auto justify-between w-full">
            <div class="order-2 md:order-1  max-w-[225px] min-w-[180px] min-h-[39px] justify-center items-center w-fit cursor-pointer border-blue border-[1px] flex gap-[10px] rounded-[10px]">
                <p class="text-blue font-[700] text-[16px]">Тренер</p><img alt="chevronDown" loading="lazy" width="11"
                                                                           height="8" decoding="async" data-nimg="1"
                                                                           style="color:transparent"
                                                                           src="<?= $resources ?>/out/images/chevronDown.svg"/></div>
            <div class="flex mb-[50px] order-1 md:order-2 md:mb-0"><img alt="arrow" loading="lazy" width="11"
                                                                        height="11" decoding="async" data-nimg="1"
                                                                        class="rotate-[90deg] relative top-[-2px]"
                                                                        style="color:transparent"
                                                                        src="<?= $resources ?>/out/images/chevronDown.svg"/>
                <h3 class=" text-black text-center text-[26px] uppercase mx-[23px]">наше сообщество</h3><img alt="arrow"
                                                                                                             loading="lazy"
                                                                                                             width="11"
                                                                                                             height="11"
                                                                                                             decoding="async"
                                                                                                             data-nimg="1"
                                                                                                             class="rotate-[-90deg] relative top-[-2px]"
                                                                                                             style="color:transparent"
                                                                                                             src="<?= $resources ?>/out/images/chevronDown.svg"/>
            </div>
            <button class="flex items-center justify-center whitespace-nowrap rounded-[6px] font-[400] bg-blue text-[16px] text-white max-h-[39px] px-[25px] py-[10px] hidden md:order-3 md:flex">
                <a href="/psychologists">Все участники</a>
            </button>
        </div>
        <?php \app\themes\gestalt\widgets\MainPsychologistsList::create(['count' => 5])->run(); ?>
        <button class="flex items-center justify-center whitespace-nowrap rounded-[6px] font-[400] bg-blue text-[16px] text-white max-h-[39px] px-[25px] py-[10px] min-w-[315px] mt-[50px] m-auto md:hidden">
            Все участники
        </button>
    </div>
    <div class="flex-col w-full max-w-[1083px] px-[25px] flex gap-[53px] items-end m-auto md:flex-row">
        <div class="flex justify-center md:justify-start md:max-w-[645px] flex-wrap gap-x-[15px] gap-y-[12px]">
            <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                <span class="">конференции</span></div>
            <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                <span class="">акредитации</span></div>
            <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                <span class="">открытые сертификации</span></div>
            <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                <span class="">открытые сертификации</span></div>
            <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                <span class="">общие сборы</span></div>
            <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                <span class="">протоколы сборов</span></div>
            <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                <span class="">новости сайта</span></div>
            <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                <span class="">календарь событий</span></div>
            <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                <span class="">сайт мги</span></div>
            <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                <span class="">вопросы и ответы</span></div>
        </div>
        <div class="flex gap-[19px] m-auto">
            <div class="flex border-[4px] border-white rounded-[6px] items-center w-[160px] h-[120px] justify-center relative">
                <img alt="arrow" loading="lazy" width="11" height="11" decoding="async" data-nimg="1"
                     class="absolute top-[-18px]" style="color:transparent" src="<?= $resources ?>/out/images/chevronDown.svg"/><span
                        class="text-[26px] text-black uppercase">Книги</span></div>
            <div class="flex border-[4px] border-white rounded-[6px] items-center w-[160px] h-[120px] justify-center relative">
                <img alt="arrow" loading="lazy" width="11" height="11" decoding="async" data-nimg="1"
                     class="absolute top-[-18px]" style="color:transparent" src="<?= $resources ?>/out/images/chevronDown.svg"/><span
                        class="text-[26px] text-black uppercase">лекции</span></div>
        </div>
    </div>
</main>