<?php
/**
 * @var \Illuminate\Database\Eloquent\Collection $psychologists
 */
?>

<div class="flex m-auto justify-center gap-[16px] w-full px-[25px] flex-wrap">
    <?php foreach ($psychologists as $psychologist): ?>
        <?php /** @var \kernel\app_modules\gestalt_profile\models\Gestalt_profile $psychologist */ ?>
        <a class=" backdrop-blur-custom border-[1px] border-white rounded-[15px] bg-darkWhite text-black w-fit shadow-custom px-[9px] pt-[11px] pb-[25px] max-w-[370px] w-full sm:max-w-[280px]"
           href="/psychologist/<?= $psychologist->id ?>">
            <img alt="image" loading="lazy" width="260" height="181" decoding="async"
                 data-nimg="1" class="w-full" style="width: 100%; height: 200px; object-fit: cover;color:transparent"
                 src="<?= $psychologist->photo ?? '' ?>"/>
            <div class="px-[13px]">
                <h5 class="text-[18px] max-w-full sm:max-w-[190px] font-[400] leading-[20px] max-w-[190px] mt-[16px] mb-[20px]">
                    <?= $psychologist->fio ?? '' ?>
                </h5>
                <span class="text-lightGrey">
                    Работает с темами
                    <p class="text-black text-[13px] leading-[15px] line-clamp-3 text-ellipsis max-w-[220px] mb-[16px] max-w-full sm:max-w-[220px]">
                        <?= !empty($psychologist->specialization) ? $psychologist->specialization : 'Нет данных' ?>
                    </p>
                </span>
                <div class="flex gap-[5px] max-w-[220px] flex-wrap items-center max-w-full sm:max-w-[220px]">
                    <?php foreach ($psychologist->communityStatusArr as $item): ?>
                        <div class="flex items-center justify-center font-[400] border-blue w-fit text-[13px] px-[9.5px] rounded-[6px] border-[0.5px] text-blue font-[400] min-h-[28px] max-h-[28px] h-full">
                            <span class="">
                                <?= $item ?>
                            </span>
                        </div>
                    <?php endforeach; ?>
                    <?php if (count($psychologist->communityStatusArr) > 3): ?>
                        <div class="bg-bgGrey rounded-[6px] w-[28px] h-[28px] flex justify-center items-center"><span
                                    class="text-white text-[13px] font-[400] max-h-[15px] flex items-center relative top-[1px]"><span
                                        class="relative top-[-0.5px]">+</span>3</span></div>
                    <?php endif; ?>
                </div>
            </div>
        </a>
    <?php endforeach; ?>
</div>
