<?php
/**
 * @var string $resources ;
 * @var array $psychologists
 * @var array $pagination ;
 */
?>

<main>
    <nav class="max-w-[1083px] px-[25px] mx-auto">
        <ol class="flex flex-wrap text-middleGrey font-[350] my-[50px]">
            <li><a href="/">главная</a></li>
            <li><a href="/psychologists"><span class="mx-[2px]">/</span>участники</a></li>
        </ol>
    </nav>
    <div class="flex flex-col gap-[31px] items-center mb-[50px] px-[25px]"><h1
                class="text-[35px] sm:text-[40px] text-center uppercase">участники сообщества</h1>
        <p class="text-[19px] sm:text-[19px] max-w-[832px] text-center">это добровольное самоорганизующееся сообщество
            специалистов г. Донецка и Донецкого края в области психологического консультирования и гештальт-терапии.</p>
    </div>
    <div class="flex flex-col gap-[50px] px-[25px]">
        <div class="flex flex-wrap gap-[10px] justify-center md:justify-start md:gap-[28px] max-w-[1032px] m-auto w-full">
            <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] max-w-[140px] w-full rounded-[6px] border-[1px] text-[16px] text-blue">
                <span class="">Терапевт</span></div>
            <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] max-w-[140px] w-full rounded-[6px] border-[1px] text-[16px] text-blue">
                <span class="">Супервизор</span></div>
            <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] max-w-[140px] w-full rounded-[6px] border-[1px] text-[16px] text-blue">
                <span class="">Тренер</span></div>
        </div>
        <div class="flex flex-wrap gap-x-[16px] gap-y-[30px] justify-center max-w-[1350px] m-auto">
            <?php foreach ($psychologists['data'] as $psychologist): ?>
                <?php /** @var \kernel\app_modules\gestalt_profile\models\Gestalt_profile $psychologist */ ?>
                <a class="backdrop-blur-custom border-[1px] border-white rounded-[15px] bg-darkWhite text-black w-fit shadow-custom px-[9px] pt-[11px] pb-[25px] max-w-[370px] w-full sm:max-w-[280px]"
                   href="/participants/<?= $psychologist->id ?>">
                    <img alt="image" loading="lazy" width="260" height="181" decoding="async"
                         data-nimg="1" class="w-full"
                         style="width: 100%; height: 200px; object-fit: cover;color:transparent"
                         src="<?= !empty(\kernel\helpers\Files::isImageByExtension($psychologist->photo)) ? $psychologist->photo : $resources . '/out/images/user_no_photo.png' ?>"/>
                    <div class="px-[13px]">
                        <h5 class="text-[18px] max-w-full sm:max-w-[190px] font-[400] leading-[20px] max-w-[190px] mt-[16px] mb-[20px]">
                            <?= $psychologist->fio ?>
                        </h5>
                        <span class="text-lightGrey">
                        Работает с темами
                        <p class="text-black text-[13px] leading-[15px] line-clamp-3 text-ellipsis max-w-[220px] mb-[16px] max-w-full sm:max-w-[220px]">
                            <?= !empty(trim($psychologist->description_of_professional_activity)) ? $psychologist->description_of_professional_activity : 'Нет данных' ?>
                        </p>
                    </span>
                        <div class="flex gap-[5px] max-w-[220px] flex-wrap items-center max-w-full sm:max-w-[220px]">
                            <?php foreach ($psychologist->communityStatusArr as $item): ?>
                                <div class="flex items-center justify-center font-[400] border-blue w-fit text-[13px] px-[9.5px] rounded-[6px] border-[0.5px] text-blue font-[400] min-h-[28px] max-h-[28px] h-full">
                                    <span class="">
                                        <?= $item ?>
                                    </span>
                                </div>
                            <?php endforeach; ?>
                            <?php if (count($psychologist->communityStatusArr) > 3): ?>
                                <div class="bg-bgGrey rounded-[6px] w-[28px] h-[28px] flex justify-center items-center"><span
                                            class="text-white text-[13px] font-[400] max-h-[15px] flex items-center relative top-[1px]"><span
                                                class="relative top-[-0.5px]">+</span>3</span></div>
                            <?php endif; ?>
                        </div>
                    </div>
                </a>
            <?php endforeach; ?>
        </div>
        <div class="flex-col md:flex-row gap-[50px] max-w-[1033px] m-auto w-full mb-[100px] flex justify-between">
            <div class="flex">
                <button class="mr-[30px]" disabled="">
                    <a href="<?= $pagination['previous'] ?>">
                        <img alt="arrow" loading="lazy" width="11" height="11"
                             decoding="async" data-nimg="1"
                             class="rotate-[90deg] relative top-[-2px]"
                             style="color:transparent" src="<?= $resources ?>/out/images/chevronDown.svg"/>
                    </a>
                </button>
                <div class="flex gap-[12px] items-center">
                    <?php if ($pagination['previous']): ?>
                        <button class="text-[17px]">
                            <a href="<?= $pagination['previous'] ?>">
                                <?= $pagination['meta']['current_page'] - 1 ?>
                            </a>
                        </button>
                    <?php endif; ?>
                    <button class="text-blue font-[700] text-[17px]"><?= $pagination['meta']['current_page'] ?></button>
                    <?php if ($pagination['next']): ?>
                        <button class="text-[17px]">
                            <a href="<?= $pagination['next'] ?>">
                                <?= $pagination['meta']['current_page'] + 1 ?>
                            </a>
                        </button>
                    <?php endif; ?>
                    <?php if ($pagination['meta']['current_page'] <= $pagination['meta']['last_page']
                        && $pagination['meta']['current_page'] > 4): ?>
                        <span>...</span>
                        <button class="text-[17px]"><?= $pagination['meta']['last_page'] ?></button>
                    <?php endif; ?>
                </div>
                <button class=" flex items-center text-[15px] font-[700] ml-auto md:ml-[26px] gap-[11px]">
                    <a href="<?= $pagination['next'] ?>">
                        <img alt="arrow" loading="lazy" width="11" height="11" decoding="async" data-nimg="1"
                             class="rotate-[-90deg] relative top-[-2px]" style="color:transparent"
                             src="<?= $resources ?>/out/images/chevronDown.svg"/>
                    </a>
                </button>
            </div>
            <button class="flex items-center justify-center whitespace-nowrap rounded-[6px] font-[400] bg-blue text-[16px] text-white max-h-[39px] px-[25px] py-[10px] undefined">
                Показать всех участников
            </button>
        </div>
        <div class="flex flex-col gap-[80px]">
            <div class="hidden lg:flex bg-blue rounded-[25px] relative max-w-[1033px] w-full m-auto pt-[59.5px] pb-[59.5px] h-[234px] text-center justify-center items-center">
                <p class="text-white text-[32px] max-w-[671px] font-[700]">Через собственное развитие мы развиваем и
                    популяризируем гештальт-подход</p><img alt="palm" loading="lazy" width="217" height="254"
                                                           decoding="async" data-nimg="1"
                                                           class=" absolute right-0 top-[-20px]"
                                                           style="color:transparent" src="/images/palm.svg"/></div>
            <div class="flex-col w-full max-w-[1083px] px-[25px] flex gap-[53px] items-end m-auto md:flex-row">
                <div class="flex justify-center md:justify-start md:max-w-[645px] flex-wrap gap-x-[15px] gap-y-[12px]">
                    <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                        <span class="">конференции</span></div>
                    <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                        <span class="">акредитации</span></div>
                    <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                        <span class="">открытые сертификации</span></div>
                    <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                        <span class="">открытые сертификации</span></div>
                    <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                        <span class="">общие сборы</span></div>
                    <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                        <span class="">протоколы сборов</span></div>
                    <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                        <span class="">новости сайта</span></div>
                    <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                        <span class="">календарь событий</span></div>
                    <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                        <span class="">сайт мги</span></div>
                    <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                        <span class="">вопросы и ответы</span></div>
                </div>
                <div class="flex gap-[19px] m-auto">
                    <div class="flex border-[4px] border-white rounded-[6px] items-center w-[160px] h-[120px] justify-center relative">
                        <img alt="arrow" loading="lazy" width="11" height="11" decoding="async" data-nimg="1"
                             class="absolute top-[-18px]" style="color:transparent" src="/images/chevronDown.svg"/><span
                                class="text-[26px] text-black uppercase">Книги</span></div>
                    <div class="flex border-[4px] border-white rounded-[6px] items-center w-[160px] h-[120px] justify-center relative">
                        <img alt="arrow" loading="lazy" width="11" height="11" decoding="async" data-nimg="1"
                             class="absolute top-[-18px]" style="color:transparent" src="/images/chevronDown.svg"/><span
                                class="text-[26px] text-black uppercase">лекции</span></div>
                </div>
            </div>
        </div>
    </div>
</main>
