<?php
/**
 * @var \kernel\app_modules\gestalt_profile\models\Gestalt_profile $profile
 * @var string $resources ;
 */
?>

<main>
    <nav class="max-w-[1083px] px-[25px] mx-auto">
        <ol class="flex flex-wrap text-middleGrey font-[350] my-[50px]">
            <li><a href="/">главная</a></li>
            <li><a href="/psychologists"><span class="mx-[2px]">/</span>участники</a></li>
            <li><a href="/psychologist/<?= $profile->id ?>"><span class="mx-[2px]">/</span><?= $profile->fio ?? '' ?> </a></li>
        </ol>
    </nav>
    <div class=" flex flex-wrap justify-center gap-[35px] px-[25px] max-w-[1083px] m-auto">
        <div class="bg-white p-[15px] w-fit rounded-[6px] mr-auto"><img alt="human" loading="lazy" width="335"
                                                                        height="355" decoding="async" data-nimg="1"
                                                                        class=""
                                                                        style="color:transparent"
                                                                        src="<?= $profile->photo ?? $resources . '/out/images/mok_human.svg' ?>"/>
        </div>
        <div class="flex flex-col w-full lg:w-auto">
            <h2
                    class="uppercase lg:text-start lg:max-w-[390px] text-[40px] leading-[48px]">
                <?= $profile->fio ?>
            </h2>
            <div class="flex gap-[17px] mt-[8px] mb-[25px]">
                <img alt="location" loading="lazy" width="18" height="22"
                     decoding="async" data-nimg="1"
                     style="color:transparent"
                     src="<?= $resources ?>/out/images/location.svg"/>
                <span class="text-lightBlack text-[18px]">
                    <?= $profile->city ?>
                </span>
            </div>
            <div class="flex flex-col gap-[8px] mb-[70px] lg:mb-[23px]"><span class="text-blue text-[16px]">Статус в сообществе:</span>
                <div class="flex gap-[13px]">
                    <?php foreach ($profile->communityStatusArr as $item): ?>
                        <div class="flex items-center justify-center font-[400] border-blue w-fit text-[14px] px-[9.5px] rounded-[6px] border-[0.5px] text-blue font-[400] max-w-[114px] w-full min-h-[34px] h-full">
                            <span class=""><?= $item ?></span>
                        </div>
                    <?php endforeach; ?>
                </div>
            </div>
            <div class="px-[35px] pb-[10px] pt-[35px] sm:py-[47.5px] sm:px-[53px] gap-[20px] sm:gap-[52px] bg-white text-[20px] flex flex-col sm:flex-row  rounded-[12px] relative">
                <div class="flex gap-[13px]"><img alt="phone" loading="lazy" width="18" height="18" decoding="async"
                                                  data-nimg="1" style="color:transparent"
                                                  src="<?= $resources ?>/out/images/phone.svg"/><span><?= $profile->phone ?? '' ?></span></div>
                <div class="flex gap-[13px]"><img alt="phone" loading="lazy" width="18" height="18" decoding="async"
                                                  data-nimg="1" style="color:transparent" src="<?= $resources ?>/out/images/mail.svg"/><span><?= $profile->email ?? '' ?></span>
                </div>
                <div class="flex absolute top-[-20px] min-w-[47px] h-[47px] bg-white items-center justify-center rounded-full sm:right-[-25px] sm:top-[38px]">
                    <a class="flex justify-center items-center w-[41px] h-[41px] bg-blue rounded-full" href=""><img
                                alt="logo_tg" loading="lazy" width="1" height="1" decoding="async" data-nimg="1"
                                class="w-auto h-auto" style="color:transparent" src="<?= $resources ?>/out/images/logo_tg.svg"/> </a></div>
            </div>
        </div>
    </div>
    <div class="flex flex-col rounded-[6px] border-[1px] border-white max-w-[1032px] mx-[25px] lg:mx-auto pt-[41px] px-[34px] pb-[30px] gap-[12px] mb-[50px] mt-[36px]">
        <h3 class="uppercase text-[26px]">Специализация</h3>
        <?php \app\themes\gestalt\widgets\SpecializationListWidget::create(['items' => $profile->specializationArr])->run(); ?>
    </div>
    <div class="flex flex-col gap-[30px] mx-[25px] lg:max-w-[910px] lg:mx-auto mb-[100px] ">
        <h3 class="uppercase text-black text-[26px]">Описание профессиональной деятельности</h3>
        <?= $profile->description_of_professional_activity ?? '' ?>
    </div>
    <div class="flex flex-col gap-[80px]">
        <div class="hidden lg:flex bg-blue rounded-[25px] relative max-w-[1033px] w-full m-auto pt-[59.5px] pb-[59.5px] h-[234px] text-center justify-center items-center">
            <p class="text-white text-[32px] max-w-[671px] font-[700]">Через собственное развитие мы развиваем и
                популяризируем гештальт-подход</p><img alt="palm" loading="lazy" width="217" height="254"
                                                       decoding="async" data-nimg="1"
                                                       class=" absolute right-0 top-[-20px]" style="color:transparent"
                                                       src="<?= $resources ?>/out/images/palm.svg"/></div>
        <div class="flex-col w-full max-w-[1083px] px-[25px] flex gap-[53px] items-end m-auto md:flex-row">
            <div class="flex justify-center md:justify-start md:max-w-[645px] flex-wrap gap-x-[15px] gap-y-[12px]">
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">конференции</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">акредитации</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">открытые сертификации</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">открытые сертификации</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">общие сборы</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">протоколы сборов</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">новости сайта</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">календарь событий</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">сайт мги</span></div>
                <div class="flex items-center justify-center font-[400] border-blue w-fit px-[10px] py-[6.5px] rounded-[6px] border-[1px] text-[16px] text-blue font-[700]">
                    <span class="">вопросы и ответы</span></div>
            </div>
            <div class="flex gap-[19px] m-auto">
                <div class="flex border-[4px] border-white rounded-[6px] items-center w-[160px] h-[120px] justify-center relative">
                    <img alt="arrow" loading="lazy" width="11" height="11" decoding="async" data-nimg="1"
                         class="absolute top-[-18px]" style="color:transparent" src="<?= $resources ?>/out/images/chevronDown.svg"/><span
                            class="text-[26px] text-black uppercase">Книги</span></div>
                <div class="flex border-[4px] border-white rounded-[6px] items-center w-[160px] h-[120px] justify-center relative">
                    <img alt="arrow" loading="lazy" width="11" height="11" decoding="async" data-nimg="1"
                         class="absolute top-[-18px]" style="color:transparent" src="<?= $resources ?>/out/images/chevronDown.svg"/><span
                            class="text-[26px] text-black uppercase">лекции</span></div>
            </div>
        </div>
    </div>
</main>