<?php

namespace app\themes\gestalt\widgets;

use kernel\helpers\Debug;
use kernel\Widget;

/**
 * @property array $data
 */
class SpecializationListWidget extends Widget
{
    protected function init(): void
    {
        parent::init();
        $this->cgView->viewPath = APP_DIR . "/themes/gestalt/views/psychologist/";
    }

    public function run(): void
    {
        $totalItems = count($this->data['items']);
        $itemsPerColumn = ceil($totalItems / 3);
        // Разбиваем массив на три части
        if (empty($this->data['items'])){
            return;
        }
        $columns = array_chunk($this->data['items'], $itemsPerColumn);

        $this->cgView->render('_specialization_list.php', ['columns' => $columns]);
    }

}