<?php

/**
 * @var \Illuminate\Database\Eloquent\Collection $event
 */

use Itguild\EloquentTable\ViewEloquentTable;
use Itguild\EloquentTable\ViewJsonTableEloquentModel;
use kernel\app_modules\event\models\EventContact;
use kernel\widgets\IconBtn\IconBtnDeleteWidget;
use kernel\widgets\IconBtn\IconBtnEditWidget;
use kernel\widgets\IconBtn\IconBtnListWidget;

$table = new ViewEloquentTable(new ViewJsonTableEloquentModel($event, [
    'params' => ["class" => "table table-bordered", "border" => "2"],
    'baseUrl' => "/admin/event-contacts",
]));
$table->beforePrint(function () use ($event) {
    $btn = IconBtnListWidget::create(['url' => '/admin/event-contacts'])->run();
    $btn .= IconBtnEditWidget::create(['url' => '/admin/event-contacts/update/' . $event->id])->run();
    $btn .= IconBtnDeleteWidget::create(['url' => '/admin/event-contacts/delete/' . $event->id])->run();
    return $btn;
});

$table->rows([
    'event_id' => [
        'value' => function ($data) {
            $model = \kernel\app_modules\event\models\Event::find($data);
            return $model->title ?? '';
        }
    ],
    'status' => [
        'value' => function ($data) {
            return EventContact::getStatus()[$data];
        }
    ]
]);

$table->create();
$table->render();