<?php
/**
 * @var Event $model
 */

use kernel\app_modules\event\models\Event;

$form = new \itguild\forms\ActiveForm();
$form->beginForm(isset($model) ? "/admin/event/edit/" . $model->id : "/admin/event", 'multipart/form-data');

// Пример формы:


$form->field(\itguild\forms\inputs\TextInput::class, 'title', [
    'class' => "form-control",
    'placeholder' => 'Название',
    'value' => $model->title ?? ''
])
    ->setLabel("Название мероприятие")
    ->render();

$form->field(\itguild\forms\inputs\TextInput::class, 'type', [
    'class' => "form-control",
    'placeholder' => 'Тип',
    'value' => $model->type ?? ''
])
    ->setLabel("Тип мероприятие")
    ->render();

$form->field(\itguild\forms\inputs\TextInput::class, 'hours_count', [
    'class' => "form-control",
    'type' => 'number',
    'placeholder' => 'Кол-во часов',
    'value' => $model->hours_count ?? ''
])
    ->setLabel("Кол-во часов")
    ->render();

$form->field(\itguild\forms\inputs\TextInput::class, 'date_start', [
    'class' => "form-control",
    'placeholder' => 'Дата начала',
    'type' => 'date',
    'value' => $model->dateStartFormatedToForm ?? ''
])
    ->setLabel("Дата начала")
    ->render();

$form->field(\itguild\forms\inputs\TextInput::class, 'date_end', [
    'class' => "form-control",
    'placeholder' => 'Дата окончания',
    'type' => 'date',
    'value' => $model->dateEndFormatedToForm ?? ''
])
    ->setLabel("Дата окончания")
    ->render();

$form->field(\itguild\forms\inputs\TextInput::class, 'place', [
    'class' => "form-control",
    'placeholder' => 'Место',
    'value' => $model->place ?? ''
])
    ->setLabel("Место провежения")
    ->render();

$form->field(\itguild\forms\inputs\TextArea::class, 'event_format', [
    'class' => "form-control",
    'placeholder' => 'Формат',
    'value' => $model->event_format ?? ''
])
    ->setLabel("Формат мероприятия")
    ->render();

$form->field(\itguild\forms\inputs\TextArea::class, 'description', [
    'class' => "form-control",
    'placeholder' => 'Описание',
    'value' => $model->description ?? ''
])
    ->setLabel("Описание")
    ->render();

$form->field(\itguild\forms\inputs\TextArea::class, 'additional_info', [
    'class' => "form-control",
    'placeholder' => 'Дополнительная информация',
    'value' => $model->additional_info ?? ''
])
    ->setLabel("Дополнительная информация")
    ->render();

$form->field(class: \itguild\forms\inputs\Select::class, name: "status", params: [
    'class' => "form-control",
    'value' => $model->status ?? ''
])
    ->setLabel("Статус")
    ->setOptions(Event::getStatus())
    ->render();

$entityRelations = new \kernel\EntityRelation();
if (!isset($model)) {
    $model = new Event();
}
$entityRelations->renderEntityAdditionalPropertyFormBySlug("event", $model);

//$form->field(class: \itguild\forms\inputs\Select::class, name: "user_id", params: [
//    'class' => "form-control",
//    'value' => $model->user_id ?? ''
//])
//    ->setLabel("Пользователи")
//    ->setOptions(\kernel\modules\user\service\UserService::createUsernameArr())
//    ->render();


?>
    <div class="row">
        <div class="col-sm-2">
            <?php
            $form->field(\itguild\forms\inputs\Button::class, name: "btn-submit", params: [
                'class' => "btn btn-primary ",
                'value' => 'Отправить',
                'typeInput' => 'submit'
            ])
                ->render();
            ?>
        </div>
        <div class="col-sm-2">
            <?php
            $form->field(\itguild\forms\inputs\Button::class, name: "btn-reset", params: [
                'class' => "btn btn-warning",
                'value' => 'Сбросить',
                'typeInput' => 'reset'
            ])
                ->render();
            ?>
        </div>
    </div>
<?php
$form->endForm();
