<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        \kernel\App::$db->schema->create('gestalt_profile', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->nullable();
            $table->string('fio', 255)->nullable(false);
            $table->string('phone', 255)->nullable(false);
            $table->string('email', 255)->nullable(false);
            $table->string('city', 255);
            $table->string('photo', 255);
            $table->text('community_status')->nullable(true);
            $table->text('specialization')->nullable(true);
            $table->text('description_of_professional_activity')->nullable(true);
            $table->text('past_events')->nullable(true);
            $table->text('upcoming_events')->nullable(true);
            $table->text('under_curation_events')->nullable(true);
            $table->integer('status')->default(1);
            $table->integer('show_on_main')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        \kernel\App::$db->schema->dropIfExists('gestalt_profile');
    }
};
