<?php
/**
 * @var Gestalt_profile $model
 */

use kernel\app_modules\gestalt_profile\models\Gestalt_profile;

$form = new \itguild\forms\ActiveForm();
$form->beginForm(isset($model) ? "/admin/gestalt_profile/edit/" . $model->id : "/admin/gestalt_profile", 'multipart/form-data');

// Пример формы:

/*
$form->field(\itguild\forms\inputs\TextInput::class, 'title', [
    'class' => "form-control",
    'placeholder' => 'Заголовок поста',
    'value' => $model->title ?? ''
])
    ->setLabel("Заголовок")
    ->render();
*/
$form->field(class: \itguild\forms\inputs\Select::class, name: "show_on_main", params: [
    'class' => "form-control",
    'value' => $model->show_on_main ?? ''
])
    ->setLabel("Показать на главной")
    ->setOptions(Gestalt_profile::getShowOnMain())
    ->render();


?>
    <div class="row">
        <div class="col-sm-2">
            <?php
            $form->field(\itguild\forms\inputs\Button::class, name: "btn-submit", params: [
                'class' => "btn btn-primary ",
                'value' => 'Отправить',
                'typeInput' => 'submit'
            ])
                ->render();
            ?>
        </div>
        <div class="col-sm-2">
            <?php
            $form->field(\itguild\forms\inputs\Button::class, name: "btn-reset", params: [
                'class' => "btn btn-warning",
                'value' => 'Сбросить',
                'typeInput' => 'reset'
            ])
                ->render();
            ?>
        </div>
    </div>
<?php
$form->endForm();
