<?php

/**
 * @var \Illuminate\Database\Eloquent\Collection $gestalt_profile
 * @var int $page_number
 * @var \kernel\CgView $view
 */

use kernel\app_modules\gestalt_profile\models\Gestalt_profile;
use Itguild\EloquentTable\EloquentDataProvider;
use Itguild\EloquentTable\ListEloquentTable;
use kernel\widgets\IconBtn\IconBtnCreateWidget;
use kernel\widgets\IconBtn\IconBtnDeleteWidget;
use kernel\widgets\IconBtn\IconBtnEditWidget;
use kernel\widgets\IconBtn\IconBtnViewWidget;

$get = (new \kernel\Request())->get();

$view->setTitle("Список gestalt_profile");
$view->setMeta([
    'description' => 'Список gestalt_profile системы'
]);

//Для использования таблицы с моделью, необходимо создать таблицу в базе данных
$table = new ListEloquentTable(new EloquentDataProvider(Gestalt_profile::class, [
    'currentPage' => $page_number,
    'perPage' => 8,
    'params' => ["class" => "table table-bordered", "border" => "2"],
    'baseUrl' => "/admin/gestalt_profile",
    'searchPrefix' => "",
    'searchParams' => $get,
    'fillable' => ['fio', 'photo', 'phone', 'email', 'city']
]));


//$table = new \Itguild\Tables\ListJsonTable(json_encode(
//    [
//        'meta' => [
//            'total' => 0,
//            'totalWithFilters' => 0,
//            'columns' => [
//                'title',
//                'slug',
//                'status',
//            ],
//            'perPage' => 5,
//            'currentPage' => 1,
//            'baseUrl' => '/admin/some',
//            'params' => [
//                'class' => 'table table-bordered',
//                'border' => 2
//            ]
//        ],
//        'filters' => [],
//        'data' => [],
//    ]
//));

// Пример фильтра
//$table->columns([
//    'title' => [
//        'filter' => [
//            'class' => \Itguild\Tables\Filter\InputTextFilter::class,
//            'value' => $get['title'] ?? ''
//        ]
//    ],
//]);

$table->columns([
    "photo" => [
        "value" => function ($cell) {
            return \kernel\helpers\Html::img($cell, ['width' => '200px']);
        }]
]);

$table->beforePrint(function () {
    return IconBtnCreateWidget::create(['url' => '/admin/gestalt_profile/create'])->run();
});

$table->addAction(function ($row) {
    return IconBtnViewWidget::create(['url' => '/admin/gestalt_profile/view/' . $row['id']])->run();
});
$table->addAction(function ($row) {
    return IconBtnEditWidget::create(['url' => '/admin/gestalt_profile/update/' . $row['id']])->run();
});
$table->addAction(function ($row) {
    return IconBtnDeleteWidget::create(['url' => '/admin/gestalt_profile/delete/' . $row['id']])->run();
});
$table->create();
$table->render();